## aio-eapi 0.6.3

=== Makefile ===
.PHONY: setup.py requirements.txt

DIST_BASENAME := $(shell poetry version | tr ' ' '-')

all: precheck

.PHONY: prechck
precheck:
	black . && \
	pre-commit run -a && \
	interrogate -c pyproject.toml

package: setup.py requirements.txt

setup.py:
	poetry build && \
	tar --strip-components=1 -xvf dist/$(DIST_BASENAME).tar.gz '*/setup.py'

requirements.txt:
	poetry export --without-hashes > requirements.txt

clean:
	rm -rf dist *.egg-info .pytest_cache
	rm -f requirements.txt setup.py
	rm -f poetry.lock
	find . -name '__pycache__' | xargs rm -rf

=== debian/changelog ===
aio-eapi (0.6.3-7) sid; urgency=medium

  * Adding upstream metadata.
  * Updating watch file to version 5.
  * Removing rules-requires-root, not needed anymore.

 -- Daniel Baumann <daniel@debian.org>  Sun, 30 Nov 2025 18:31:37 +0100

aio-eapi (0.6.3-6) sid; urgency=medium

  * Simplifying watch file.

 -- Daniel Baumann <daniel@debian.org>  Fri, 02 May 2025 04:36:56 +0200

aio-eapi (0.6.3-5) sid; urgency=medium

  * Updating to standards version 4.7.1.
  * Updating to standards version 4.7.2.

 -- Daniel Baumann <daniel@debian.org>  Wed, 19 Mar 2025 19:09:23 +0100

aio-eapi (0.6.3-4) sid; urgency=medium

  * Trimming debian changelog.

 -- Daniel Baumann <daniel@debian.org>  Thu, 20 Feb 2025 21:00:19 +0100

aio-eapi (0.6.3-3) sid; urgency=medium

  * Updating vcs fields.
  * Updating email address.
  * Updating source url in copyright.
  * Updating year in debian copyright for 2025.

 -- Daniel Baumann <daniel@debian.org>  Wed, 05 Feb 2025 15:32:59 +0100

aio-eapi (0.6.3-2) sid; urgency=medium

  * Using codename in changelog instead of suitename.

 -- Daniel Baumann <daniel@debian.org>  Sun, 21 Apr 2024 21:57:15 +0200

aio-eapi (0.6.3-1) sid; urgency=medium

  * Initial upload to sid.

 -- Daniel Baumann <daniel@debian.org>  Sun, 14 Apr 2024 11:25:19 +0200

=== debian/control ===
Source: aio-eapi
Section: python
Priority: optional
Maintainer: Daniel Baumann <daniel@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-poetry,
Standards-Version: 4.7.2
Homepage: https://github.com/jeremyschulman/aio-eapi
Vcs-Browser: https://forgejo.debian.net/arista/aio-eapi
Vcs-Git: https://forgejo.debian.net/arista/aio-eapi

Package: python3-aioeapi
Section: python
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Arista EOS API asyncio Client
 This package contains an Arista EOS asyncio client to access Arista
 network devices over https.

=== debian/watch ===
Version: 5

Template: Github
Owner: jeremyschulman
Project: @PACKAGE@
